/*
 * sxlib.h X68k SX_SYSTEM ver 2.01 Copyright 1993 SHARP/First Class Technology
 */
#ifndef	__SXLIB_H
#define	__SXLIB_H

#include <sxdef.h>

#ifdef	FORWORD
#define	__PROTO_TYPE
#endif
#ifdef	__STDC__
#define	__PROTO_TYPE
#endif

#ifdef	__PROTO_TYPE

/************************************************/
/*	} (Memory Man)			*/
/************************************************/

Heap	*MMHeapInit(char *, char *, int, int (*)(), int);
Master	*MMBlockMstGet(Heap, Block);
Block	*MMMemCompact(Heap *, long);
Block	*MMMemPurge(Heap *, long);
Block	*MMMemMelt(Heap *, long);
Block	*MMMemReserve(Heap *, long);
long	MMMemSizeFree(Heap *);
long	MMMemSizeComp(Heap *);
long	MMMemSizePurg(Heap *);
long	MMMemSizeMelt(Heap *);
int	MMMemErrorGet(void);
int	MMMemErrorSet(int);
Heap	*MMChGet(void);
int	MMChSet(Heap *);
pointer	MMChPtrNew(long);
int	MMChMstMore(void);
Master	*MMChMstNew(void);
handle	MMChHdlNew(long);
Block	*MMChCompact(long);
Block	*MMChPurge(long);
Block	*MMChMelt(long);
Block	*MMChReserve(long);
long	MMChFreeSize(void);
long	MMChGrowHeapGet(void);
long	MMChGrowHeapSet(int (*)());
long	MMChPurgeGet(void);
long	MMChPurgeSet(int (*)());
long	MMChCompactGet(void);
long	MMChCompactSet(int (*)());
pointer	MMPtrNew(Heap *, long);
Heap	*MMPtrHeap(pointer);
int	MMPtrDispose(pointer);
long	MMPtrSizeGet(pointer);
int	MMPtrSizeSet(pointer, long);
int	MMPtrPropGet(pointer);
int	MMPtrPropSet(pointer, int);
int	MMMstAllocate(Heap *);
Master	*MMMstBind(Heap *);
handle	MMHdlNew(Heap *, long);
Heap	*MMHdlHeap(handle);
int	MMHdlDispose(handle);
long	MMHdlSizeGet(handle);
int	MMHdlSizeSet(handle, long);
int	MMHdlEmpty(handle);
int	MMHdlRealloc(handle, long);
int	MMHdlMoveHi(handle);
int	MMHdlPropGet(handle);
int	MMHdlPropSet(handle, int);
int	MMHdlLock(handle);
int	MMHdlUnlock(handle);
int	MMHdlPurge(handle);
int	MMHdlNoPurge(handle);
int	MMHdlIns(handle, long, long);
int	MMHdlDel(handle, long, long);
Block	*MMMemHiReserve(Heap *, long);
Block	*MMPtrBlock(pointer);
Block	*MMHdlBlock(handle);
handle	MMHdlMstGet(Heap *, pointer);
Block	*MMChHiReserve(long);

/************************************************/
/*	GNZvV} (Exception Man)	*/
/************************************************/

int	EXEnVDISPST(void (*)());
int	EXDeVDISPST(void (*)());

/************************************************/
/*	}EX} (Mouse Man)			*/
/************************************************/

void	MSInitCsr(void);
void	MSShowCsr(void);
void	MSHideCsr(void);
void	MSSetCsr(TXcsr **);
void	MSObscureCsr(void);
void	MSShieldCsr(rect *, point_t);
MsRec	*MSGetCurMsr(void);
long	MSMultiGet(void);
long	MSMultiSet(long);

/************************************************/
/*	Aj[V} (Animation Man)	*/
/************************************************/

int	EXAnimStart(int, int, TXcsr **[]);
int	EXAnimEnd(void);
int	EXAnimTest(void);

/************************************************/
/*	L[{[h} (Keyboard Man)		*/
/************************************************/

char	*KBMapGet(KbRec *);
int	KBShiftGet(KbRec *);
long	KBShiftSet(KbRec *, long);
int	KBSimulate(KbRec *, long);
int	KBScan(KbRec *);
int	KBGet(KbRec *);
int	KBEmpty(KbRec *);
KbRec	*KBInit(int, int);
int	KBTini(KbRec *);
KbRec	*KBCurKbrGet(void);
int	KBOldOnGet(KbRec *);
long	KBOldOnSet(KbRec *, long);
int	KbFlagGet(KbRec *);
int	KbFlagSet(KbRec *, int);

/************************************************/
/*	L[} (Key Man)			*/
/************************************************/

void	KMEmpty(KmRec *);
int	KMPost(KmRec *, long, long);
pointer	KMAscJobSet(KmRec *, int (*)());
int	KMSimulate(KmRec *, long);
void	KMTask(KmRec *);
KmRec	*KMInit(long);
int	KMTini(KmRec *);
KmRec	*KMCurKmrGet(void);

/************************************************/
/*	Cxg} (Event Man)		*/
/************************************************/

void	EMInit(void);
void	EMTini(void);
int	EMSet(short, long);
int	EMGet(UWORD, event *);
int	EMScan(UWORD, event *);
int	EMMSLoc(void);
int	EMLBttn(void);
int	EMRBttn(void);
int	EMLStill(void);
int	EMRStill(void);
int	EMLWait(void);
int	EMRWait(void);
void	EMKMapGet(char *);
ULONG	EMSysTime(void);
ULONG	EMDClickGet(void);
ULONG	EMBlinkGet(void);
int	EMClean(UWORD, UWORD);
void	EMMaskSet(UWORD);
void	EMDClickSet(ULONG);
void	EMBlinkSet(ULONG);
int	EMEnCross(void);
int	EMDeCross(void);

/************************************************/
/*	\[X} (Resource Man)		*/
/************************************************/

int	RMInit(void);
int	RMTini(void);
handle	RMResNew(void);
handle	RMRscAdd(long, int, handle, int);
int	RMRscRemove(long, int);
int	RMTypeRemove(long);
int	RMResDispose(void);
handle	RMResOpen(char *);
handle	RMRscGet(long, int);
int	RMResClose(char *);
int	RMResRemove(void);
handle	RMCurResSet(handle);
int	RMRscRelease(handle);
int	RMRscDetach(handle);
int	RMMaxIDGet(long);
int	RMResSave(char *);
int	RMHdlToRsc(handle, handle *, int *, int *);
handle	RMCurResGet(void);
handle	RMLastResGet(void);
int	RMResLoad(void);
handle	RMResLinkGet(handle );
int	RMResTypeList(int *, long ***, handle );
int	RMResIDList(int *, short ***, handle , long );

/************************************************/
/*	Ot} (Graph Man)			*/
/************************************************/

int	GMOpenGraph(int, graph *);
int	GMCloseGraph(graph *);
int	GMInitGraph(graph *);
int	GMSetGraph(graph *);
graph	*GMGetGraph(void);
int	GMCopyGraph(graph *, graph *);
void	GMMoveGraph(point_t);
void	GMSlideGraph(point_t);
int	GMSetClip(region **);
int	GMGetClip(region **);
int	GMClipRect(rect *);
int	GMSetHome(point_t);
int	GMSetGraphSize(point_t);
int	GMSetBitmap(bitmap *);
int	GMLocalToGlobal(point_t);
int	GMGlobalToLocal(point_t);
void	GMInitPen(void);
int	GMPenShow(void);
int	GMPenHide(void);
int	GMPenSize(point_t);
int	GMPenMode(int);
UWORD	*GMPenPat(UWORD *);
UWORD	*GMExPat(UWORD *);
int	GMForeColor(int);
int	GMBackColor(int);
int	GMAPage(int);
int	GMGetLoc(void);
void	GMGetPen(pen *);
void	GMSetPen(pen *);
void	GMInitialize(void);
void	GMNullRect(rect *);
int	GMSizeRect(rect *, point_t);
int	GMAndRects(int, rect *, rect *,rect *, ...);
int	GMMoveRect(rect *, point_t);
int	GMSlideRect(rect *, point_t);
int	GMInsetRect(rect *, point_t);
int	GMAndRect(rect *, rect *, rect *);
int	GMOrRect(rect *, rect *, rect *);
int	GMPtInRect(rect *, point_t);
int	GMEqualRect(rect *, rect *);
int	GMEmptyRect(rect *);
int	GMAdjustRect(rect *, rect *, rect *);
region	**GMNewRgn(void);
int	GMDisposeRgn(region **);
int	GMOpenRgn(void);
int	GMCloseRgn(region **);
int	GMNullRgn(region **);
int	GMRectRgn(region **, rect *);
int	GMCopyRgn(region **, region **);
int	GMMoveRgn(region **, point_t);
int	GMSlideRgn(region **, point_t);
int	GMInsetRgn(region **, point_t);
int	GMAndRgn(region **, region **,region **);
int	GMOrRgn(region **, region **,region **);
int	GMDiffRgn(region **, region **,region **);
int	GMXorRgn(region **, region **,region **);
int	GMPtInRgn(region **, point_t);
int	GMRectInRgn(region **, rect *);
int	GMEqualRgn(region **, region **);
int	GMEmptyRgn(region **);
int	GMImgToRgn(region **, bitmap *, rect *);
int	GMInitBitmap(int, bitmap *);
void	GMMove(point_t);
void	GMMoveRel(point_t);
int	GMLine(point_t);
int	GMLineRel(point_t);
int	GMFrameRect(rect *);
int	GMFillRect(rect *);
int	GMFrameOval(rect *);
int	GMFillOval(rect *);
int	GMFrameRRect(rect *, point_t);
int	GMFillRRect(rect *, point_t pt);
int	GMFrameArc(rect *, int, int);
int	GMFillArc(rect *, int, int);
int	GMFrameRgn(region **);
int	GMFillRgn(region **);
int	GMFramePoly(polygon **);
int	GMFillPoly(polygon **);
int	GMScroll(rect *, point, region **);
int	GMCopy(bitmap *, bitmap *, rect *, rect *, int, region **);
int	GMCopyMask(bitmap *, bitmap *, bitmap *, rect *, point_t, rect *);
int	GMPlotImg(UWORD *, rect *, int);
int	GMPutRImg(rectImg *, point_t);
int	GMDupHImg(UWORD *, point_t, int, int);
int	GMDupVImg(UWORD *, point_t, int, int);
int	GMDupHRImg(rectImg *, point_t, int);
int	GMDupVRImg(rectImg *, point_t, int);
int	GMFontKind(int);
int	GMFontFace(int);
int	GMFontMode(int);
int	GMFontSize(point_t);
int	GMDrawChar(int);
int	GMDrawStrL(LASCII *);
int	GMDrawStr(char *, int, int);
int	GMDrawStrZ(char *);
int	GMCharWidth(int);
int	GMStrLWidth(LASCII *);
int	GMStrWidth(char *, int, int);
int	GMStrLength(char *, int, int);
int	GMFontInfo(void);
int	GMOpenScript(region **);
int	GMCloseScript(gScript **);
int	GMDisposeScript(gScript **);
int	GMDrawScript(gScript **, rect *);
int	GMGetScript(gScript **, int);
int	GMOpenPoly();
int	GMClosePoly(polygon **);
int	GMDisposePoly(polygon **);
int	GMShadowStrZ(char *, point_t);
int	GMShadowRect(rect *);
int	GMInvertRect(rect *, int);
int	GMInvertBits(point_t, bitmap *);
int	GMMapPt(point_t, rect *, rect *);
void	GMMapRect(rect *, rect *, rect *);
void	GMMapPoly(polygon **, rect *, rect *);
void	GMMapRgn(region **, rect *, rect *);
int	GMScalePt(point_t, rect *, rect *);
void	GMInitPalet(void);
void	GMDrawG16(tx16 *, point_t);
int	GMGetPixel(bitmap *, point_t);
int	GMCalcMask(short *, short *, int, int, int, int);
int	GMCalcFrame(short *, short *,int, int, int, int);
void	*SXLongMul(long *, long, long);
int	SXFixRound(int);
long	SXFixMul(long, long);
long	SXFixDiv(int, int);
fontTbl	*GMGetFontTable(void);
int	GMCopyStdProc(gProc **);
int	GMStrZWidth(char *);
int	GMTransImg(bitmap *,bitmap *, rect *, rect *);
int	GMFillRImg(rectImg *, point_t);
int	GMFillImg(UWORD *, rect *);
int	GMSlidedRgn(region **, region **, point_t);
int	GMPaintRgn(region **, bitmap *, point_t);
int	GMSetRgnLine(short);
int	GMGetRgnLine();
int	GMInitGraphMode(short);
int	GMCurFont();
int	GMGetScrnSize();
graph	*GMExgGraph(graph *);
bitmap	*GMExgBitmap(bitmap *);
bitmap	*GMGetBitmap(void);
int	GMCalcBitmap(bitmap *);
int	GMCalcScrnSize(bitmap *);
bits	**GMNewBits(int, rect *, int);
int	GMDisposeBits(bits **);
int	GMLockBits(bits **);
int	GMUnlockBits(bits **);
int	GMItalicRect(rect *);
int	GMItalicRgn(region **, rect *);
int	GMFreeBits(bits **);
int	GMCalcGraph(graph *);
int	GMPackImage(UBYTE *, UBYTE *, int);
int	GMUnpackImage(UBYTE *, UBYTE *, int);
int	GMAdjustPt(point_t, rect *);
int	GMPutImg(UWORD *, rect *);
int	GMCenterRect(rect *, rect *, point_t, short);
int	GMScrewRect(rect *);
int	GMAndRectRgn(region **, region **, rect *);
int	GMOrRectRgn(region **, region **, rect *);
int	GMDiffRectRgn(region **, region **, rect *);
int	GMXorRectRgn(region **, region **, rect *);
int	GMCharKind(UWORD);
int	GMDiffRgnRect(region **, rect *, region **);
hProc	*GMGetHProcTbl(void);
gProc	*GMGetStdProcTbl(void);
fontProc *GMGetFontProcTbl(void);
rgnProc	*GMGetRgnProcTbl(void);
int	GMDrawGsOne(gsOneEnv *);
int	GMPtInImg(rectImg *, point_t, int);
int	GMFrameNPoly(npoly *, nPolyEnv *);
int	GMFillNPoly(npoly *, nPolyEnv *);
region	**GMNPolyFrRgn(handle **, npoly *, nPolyEnv *, rect *);
region	**GMNPolyFlRgn(handle **, npoly *, nPolyEnv *, rect *);
int	GMPtInNPoly(npoly *, nPolyEnv *, point_t);
int	GMPtOnNPoly(npoly *, nPolyEnv *, point_t);
int	GMRecordScript(handle **, int, int);
int	GMNLineRel(point_t, nPolyEnv *);
int	GMNLine(point_t, nPolyEnv *);
int	GMRecordPoly(point_t);
int	GMSetFlattness(UWORD);
int	GMGetFlattness(void);
long	GMDrawBezier(point_t, point_t, point_t);
long	GMDrawBSpline(point_t, point_t);
long	GMSplitBezier(point_t, point_t, point_t, long, splitedBezierPtr);
long	GMSplitBSpline(point_t, point_t, long, splitedBSplinePtr);
long	GMPtOnBezier(point_t, point_t, point_t, point_t);
long	GMPtOnBSpline(point_t, point_t, point_t);
int	(*GMSetGSDraw(int, int (*)()))(gsOneEnv *);
int	(*GMGetGSDraw(int))(gsOneEnv *);
int	(*GMSetGSGet(int, int (*)()))();
int	(*GMGetGSGet(int))();

/************************************************/
/*	EBhE} (Window Man)		*/
/************************************************/

int	WMInit(void);
window	*WMOpen(window *, rect *, LASCII *, short, short, window *, short, long);
window	*WMRefer(short, window *, window *);
int	WMClose(window *);
int	WMDispose(window *);
int	WMFind(point_t, window **);
int	WMSelect(window *);
int	WMSelect2(window *, window *);
int	WMCarry(window *, window *);
int	WMShine(window *, short);
int	WMMove(window *, point_t, short);
int	WMSize(window *, point_t, short);
int	WMGrow(window *, point_t, rect *);
int	WMDrag(window *, point_t, rect *);
int	WMZoom(window *, short, short);
int	WMShow(window *);
int	WMHide(window *);
int	WMShowHide(window *, short);
int	WMCheckBox(window *, point_t, short);
int	WMCheckCBox(window *, point_t);
int	WMDrawGBox(window *);
int	WMUpdate(window *);
int	WMUpdtOver(window *);
window	*WMActive(void);
int	WMAddRect(rect *);
int	WMAddRgn(region **);
int	WMSubRect(rect *);
int	WMSubRgn(region **);
int	WMGScriptSet(gScript **);
int	WMTitleSet(window *, LASCII *);
int	WMTitleGet(window *, LASCII *);
int	WMTIDSet(long);
int	WMTIDGet(void);
long	WMGetDTGS(void);
int	WMDragRgn(region **, point_t, rect *, rect *, short, void (*)());
int	WMOptionGet(void);
int	WMOptionSet(int);
int	WMPtInGBox(point_t);

/************************************************/
/*	TuEBhE} (Sub Window Man)	*/
/************************************************/

subWindow *WSOpen(subWindow *, region **, UINT);
int	WSClose(subWindow *);
int	WSDispose(subWindow *);
int	WSEnlist(subWindow *);
int	WSDelist(subWindow *);

/************************************************/
/*	j[} (Menu Man)			*/
/************************************************/

void	MNInit(void);
menu	**MNRefer(short);
int	MNSelect(menu **, point_t);
menu	**MNConvert(menu **, char *, short);
int	MNSelect2(menu **, point_t, rect *);

/************************************************/
/*	Rg[} (Control Man)		*/
/************************************************/

control	**CMOpen(window *, rect *, LASCII *, short, short, short, short, short, long);
int	CMDispose(control **);
int	CMKill(window *);
int	CMHide(control **);
int	CMShow(control **);
int	CMDraw(window *);
int	CMDrawOne(control **);
int	CMValueSet(control **, short);
int	CMValueGet(control **);
int	CMMinSet(control **, short);
int	CMMinGet(control **);
int	CMMaxSet(control **, short);
int	CMMaxGet(control **);
int	CMMove(control **, point_t);
int	CMSize(control **, point_t);
int	CMShine(control **, short);
int	CMFind(point_t, window *, control ***);
int	CMCheck(control **, point_t, void (*)());
control	**CMRefer(short, window *);
int	CMTitleGet(control **, LASCII *);
int	CMDraws(window *, region **);
int	CMTitleSet(control **, LASCII *);
UWORD	CMOptionGet(control **);
void	CMOptionSet(control **, UWORD);
UINT	CMUserGet(control **);
void	CMUserSet(control **, UINT);
long	CMDefDataGet(control **);
void	CMDefDataSet(control **, long);

/************************************************/
/*	_CAO} (Dialog Man)		*/
/************************************************/

void	DMInit(void);
void	DMFontSet(short);
dialog	*DMOpen(dialog *, rect *, LASCII *, short, short, window *, short, long, dlgIList**);
dialog	*DMRefer(short, dialog *, window *);
int	DMClose(dialog *);
int	DMDispose(dialog *);
int	DMControl(void (*)());
int	DMDraw(dialog *);
int	DIGet(dialog *, short, short *, int *, rect *);
int	DISet(dialog *, short, short, int, rect *);
int	DITGet(short, int, LASCII);
int	DITSet(short, int, LASCII);
int	DITSelect(dialog *, short, long, long);
int	DIUpdate(dialog *, region **);
int	DMBeep(UWORD);
int	DIHide(dialog *, short);
int	DIShow(dialog *, short);
int	DMError(UWORD, char *);
int	DMWaitOpen(void);
int	DMWaitClose(void);
int	DMWaitWhile(void);

/************************************************/
/*	eLXg} (Text Man)			*/
/************************************************/

int	TMInit(void);
int	TMSetRect(tEdit **, rect *, rect *);
int	TMChengeText(tEdit **, char *, int);
int	TMIdle(tEdit **);
int	TMCaret(tEdit **, int);
int	TMDispose(tEdit **);
int	TMUpDate(tEdit **, rect *);
int	TMSetText(tEdit **, char *, int);
int	TMGetText(tEdit **, char *, int);
int	TMSetSelect(tEdit **, int, int, int);
int	TMKey(tEdit **, int);
int	TMStr(tEdit **, char *, int);
int	TMCalText(tEdit **);
int	TMPinScroll(tEdit **);
int	TMClick(tEdit **, point_t, int);
int	TMEvent(tEdit **, event *);
int	TMCut(tEdit **);
int	TMCopy(tEdit **);
int	TMPaste(tEdit **);
int	TMDelete(tEdit **);
int	TMInsert(tEdit **, char *, int);
int	TMFromScrap(void);
int	TMToScrap(void);
int	TMScrapHandle(void ***);
int	TMGetScrapLen(void);
int	TMTextBox2(char *, int, rect *, int, int);
int	TMCacheON(tEdit **, int);
int	TMCacheOFF(tEdit **);
int	TMCacheFlush(tEdit **);
int	TMShow(tEdit **);
int	TMHide(tEdit **);
int	TMSelShow(tEdit **);
int	TMSelHide(tEdit **);
int	TMSearchStrF(tEdit **, char *, int, int, int, int (*)(), int *);
int	TMSearchStrB(tEdit **, char *, int, int, int, int (*)(), int *);
int	TMTextInWidth2(tEdit **, char *, int, int, int, int *);
int	TMTextWidth2(tEdit **, char *, int, int, int);
int	TMDrawText2(tEdit **, char *, int, int, int, int);
int	TMUpDate2(tEdit **, teHis *);
int	TMUpDate3(tEdit **, rect *);
int	TMCalCOLine(tEdit **, teColumn *, int);
int	TMCalLine(tEdit **, teColumn *, int, int);
int	TMLeftSel(tEdit **);
int	TMRightSel(tEdit **);
int	TMPointSel(tEdit **, int, int, int);
int	TMOffsetSel(tEdit **, int, int);
int	TMPointToLine(tEdit **, int, int, teColumn *);
int	TMCalSelPoint(tEdit **);
int	TMSetView(tEdit **, rect *);
int	TMScroll(tEdit **, int, int);
int	TMPointScroll(tEdit **, int, int);
int	TMStr2(tEdit **, char *, int, teHis *);
int	TMKeyToAsk(tEdit **, tsevent *);
int	TMNextCode(tEdit **, int, int);
int	TMSetTextH(tEdit **, char *, int);
int	TMOpen(char *, int, rect *, int, int, tEdit ***);
int	TMNew2(rect *, rect *, graph *, tEdit ***);
int	TMNextCodeIn(tEdit **, int);
int	TMSelReverse(tEdit **, int, int);
int	TMTini(void);
int	TMSetSelCal(tEdit **, int, int, int);
int	TMActivate2(tEdit **);
int	TMDeactivate2(tEdit **);
int	TMCheckSel(tEdit **, int, int, int);
int	TMCalPoint2(tEdit **, int, int *);
int	TMISZen(tEdit **, int);
int	TMSetDestOffset(tEdit **, int, int);
int	TMGetDestOffset(tEdit **, int *);
int	TMGetSelect(tEdit **, int *);
int	TMEventW(tEdit **, tsevent *);
int	TMUpDateExist(tEdit **, int);

/************************************************/
/*	^XN} (Task Man)			*/
/************************************************/

void	*TSInitTsk(void *, void *, char *, int, int, int, void ***);
int	TSInitCrtM(void);
int	TSTiniCrtM(int);
int	TSFock(int, int, char *, char *, char *, long, int);
int	TSFockB(int, int, char *, char *, char *, char *);
int	TSFockSItem(void **);
int	TSFockIcon(icstate *, int, int, char *, char *);
int	TSEventAvail(int, tsevent *);
void	TSGetEvent(int, tsevent *);
int	TSPostEventTsk(long, long, int, int, int);
int	TSGetTdb(task *, int);
int	TSSetTdb(task *, int);
int	TSGetWindowPos(void);
int	TSCommunicate(int, tsevent *, int);
int	TSGetID(void);
int	TSMakeEvent(long, long, int, int, int, tsevent *);
int	TSGetStartMode(void);
void	TSSetStartMode(int);
int	TSOpen(char *, int);
int	TSClose(int);
int	TSRmDirH(char **);
int	TSCopyH(char **, char **);
int	TSMkDirH(char **);
int	TSMoveH(char **, char **);
int	TSCreate(char *, int);
int	TSDeleteH(char **);
int	TSTrash(char **, char **);
int	TSFiles(void *, char *, int);
int	TSNFiles(void *, char *, int);
int	TSCopyP(char *, char *);
int	TSDeleteP(char *);
int	TSRmDirP(char *);
int	TSMkDirP(char *);
int	TSMoveP(char *, char *);
int	TSChMod(char *, int);
long	TSWhatFile(tsevent *, char *);
int	TSDeleteVoname(char *);
int	TSCreateVoname(char *);
int	TSSearchFileND(char *, char *, char *);
int	TSGetOpen(openfile (**)[]);
int	TSZeroDrag(void);
int	TSPutDrag(int, void **);
int	TSGetDrag(drag **);
int	TSBeginDrag(point_t);
int	TSEndDrag(int);
int	TSHideDrag(void);
int	TSShowDrag(void);
int	TSZeroScrap(void);
int	TSPutScrap(long, void **);
int	TSGetScrap(scrap **);
int	TSSearchTrashpath(char **);
int	TSSearchTrashfile(char **);
int	TSEmptyTrash(void);
int	TSSearchdpb(int, int);
int	TSDrvctrl(int, int);
int	TSDrvctrl2(int, int);
int	SXCallWindM(window *, tsevent *);
int	SXCallCtrlM(window *, tsevent *, void **, void **, rect *, control ***);
int	SXInvalScBar(window *);
int	SXValidScBar(window *);
int	TSISRecToStr(icstate *, char *);
int	TSCreateISFile(char **, icstate *);
int	SXFileConnPath(char *, char *);
int	SXFileInPath(char *, char *);
int	SXFnamecmp(char *, int, char *, int);
int	SXSearchFname(char *, char **);
void	SXStoLower(char *, int);
void	SXStoUpper(char *, int);
void	SXStoUpper2(char *, char *, int);
int	SXVer(void);
int	TSTakeParam(LASCII *, rect *, char *, int, char *, char **);
int	TSFindTskn(char *, int);
int	TSDriveCheckAll(int);
int	TSDriveCheck(int);
int	TSISRecToExec(icstate *, char *, LASCII *);
int	TSGetDtopMode(void);
void	TSSetDtopMode(int);
int	TSSearchOpen(char **, int, int, openfile **);
int	TSFindOwn(void);
int	TSCommunicateS(int, tsevent *, int);
int	TSSearchFile2(int, int, void *, char *, char *, char *);
int	TSSearchFile(char *, char *, char *);
int	SXStrCmp(char *, char *, int);
int	TSCreateISBadge(icstate *, int, int);
int	TSGetCMDS(int, char *);
int	TSFockCM(int, int, int, char *, char *, char *);
int	TSTiniTsk(void);
int	TSPostEventTsk2(long, long, int, int, int, int);
int	TSAnswer(tsevent *);
int	TSSendMes(int, tsevent *);
int	TSGetMes(tsevent *eventrecPtr, int mode);
void	*TSInitTsk2(void *, void *, char *, int, int, int, char *, void ***);
int	SXCallWindM2(window *, tsevent *, rect *);
int	TSBeginDrag2(point_t, int (*)(), int);
int	SXGetVector(int);
int	SXSetVector(int, void (*)());
int	TSCellToStr(void **, char *, int, char ***);
void	SXLockFSX(void);
void	SXUnlockFSX(void);
int	TSFockMode(char *, char *, int *);
int	TSSetGraphMode(int, int);
int	TSGetGraphMode(int *);
int	SXGetDispRect(rect *);
int	SXSRAMVer(void);
int	SXSRAMRese(void);
int	SXSRAMCheck(void);
int	TSSetAbort(void (*)(), long);
void	TSAdjustRect(rect *, rect *, int);
int	TSPostEventTsk3(long, long, int, int, int, int, long, long);
int	TSAnswer2(long, long, int, int, int, int, long, long);
int	TSErrDialogN(int, char *);
int	TSSearchFile3(int, int, char *, char *, char *, int (*)());
handle	TSResNew(void);
handle	TSResOpen(char *);
int	TSResClose(char *);
int	TSResSave(char *);
int	TSResRemove(void);
int	TSResLoad(void);
int	TSResDispose(void);
handle	TSCurResGet(void);
handle	TSLastResGet(void);
handle	TSCurResSet(handle);
handle	TSRscAdd(long, int, handle, long);
handle	TSRscGet(long, int);
int	TSRscRemove(long, int);
int	TSTypeRemove(long);
int	TSRscRelease(handle);
int	TSRscDetach(handle);
int	TSMaxIDGet(long);
handle	TSHdlToRsc(handle);
handle	TSResLinkGet(handle);
int	TSResRouteLink(int, long);
int	TSResRouteGet(int);
handle	TSRscGet2(long, int, long);
handle	TSRscGet3(long, int);
int	TSResRouteUnLink(void);
int	TSMaxIDGet2(long, long);
handle	TSFind(handle, long, int);
handle	TSCurResGet2(long);
int	TSMaxIDGet3(long);
int	TSResFileGet(handle, char *);
short	TSResRouteFind(char *, int, long);
int	TSResTypeList(int *, long ***, handle);
int	TSResIDList(int *, short ***, handle, long);

/************************************************/
/*	vg} (Print Man)		*/
/************************************************/

int	PMInit(void);
int	PMTini(void);
int	PMOpen(int);
int	PMClose(void);
int	PMSetDefault(prRec **);
int	PMValidate(prRec **);
int	PMImageDialog(prRec **);
int	PMStrDialog(prRec **);
int	PMEnvCopy(prRec **, prRec **);
int	PMJobCopy(prRec **, prRec **);
graph	*PMOpenImage(prRec **);
int	PMRecordPage(rect *);
int	PMPrintPage(void);
int	PMCancelPage(void);
int	PMAction(int);
int	PMCloseImage(void);
int	PMDrawString(prRec **, char **, int, int);
int	PMVer(void);
int	PMDrvrVer(void);
int	PMDrvrCtrl(int, ...);
int	PMDrvrID(void);
handle	PMDrvrHdl(void);
int	PMMaxRect(prRec **, int, rect *);
int	PMSaveEnv(prRec **);
int	PMReady(void);
int	PMProcPrint(prRec **, int(*)());
int	PMDrvrInfo(int, prtdInfo *);

/************************************************/
/*	tHg}(Font Man)			*/
/************************************************/

long	FMInit(void);
long	FMTini(void);
FontListPtr FMGetFontList(void);
long	FMSetCacheSize(void);
long	FMGetCacheSize(void);
long	FMSetSpaceWidth(int);
long	FMGetSpaceWidth(void);
long	FMSetTracking(int);
long	FMGetTracking(void);
long	FMGetKerningWidth(UWORD, UWORD);
short	FMFontMenuSelect(point_t);
npoly	FMGetFontPolyData(short);

#undef	__PROTO_TYPE
#else

/************************************************/
/*	} (Memory Man)			*/
/************************************************/

Heap	*MMHeapInit();
Master	*MMBlockMstGet();
Block	*MMMemCompact();
Block	*MMMemPurge();
Block	*MMMemMelt();
Block	*MMMemReserve();
long	MMMemSizeFree();
long	MMMemSizeComp();
long	MMMemSizePurg();
long	MMMemSizeMelt();
int	MMMemErrorGet();
int	MMMemErrorSet();
Heap	*MMChGet();
int	MMChSet();
pointer	MMChPtrNew();
int	MMChMstMore();
Master	*MMChMstNew();
handle	MMChHdlNew();
Block	*MMChCompact();
Block	*MMChPurge();
Block	*MMChMelt();
Block	*MMChReserve();
long	MMChFreeSize();
long	MMChGrowHeapGet();
long	MMChGrowHeapSet();
long	MMChPurgeGet();
long	MMChPurgeSet();
long	MMChCompactGet();
long	MMChCompactSet();
pointer	MMPtrNew();
Heap	*MMPtrHeap();
int	MMPtrDispose();
long	MMPtrSizeGet();
int	MMPtrSizeSet();
int	MMPtrPropGet();
int	MMPtrPropSet();
int	MMMstAllocate();
Master	*MMMstBind();
handle	MMHdlNew();
Heap	*MMHdlHeap();
int	MMHdlDispose();
long	MMHdlSizeGet();
int	MMHdlSizeSet();
int	MMHdlEmpty();
int	MMHdlRealloc();
int	MMHdlMoveHi();
int	MMHdlPropGet();
int	MMHdlPropSet();
int	MMHdlLock();
int	MMHdlUnlock();
int	MMHdlPurge();
int	MMHdlNoPurge();
int	MMHdlIns();
int	MMHdlDel();
Block	*MMMemHiReserve();
Block	*MMPtrBlock();
Block	*MMHdlBlock();
handle	MMHdlMstGet();
Block	*MMChHiReserve();

/************************************************/
/*	GNZvV} (Exception Man)	*/
/************************************************/

int	EXEnVDISPST();
int	EXDeVDISPST();

/************************************************/
/*	}EX} (Mouse Man)			*/
/************************************************/

void	MSInitCsr();
void	MSShowCsr();
void	MSHideCsr();
void	MSSetCsr();
void	MSObscureCsr();
void	MSShieldCsr();
MsRec	*MSGetCurMsr();
long	MSMultiGet();
long	MSMultiSet();

/************************************************/
/*	Aj[V} (Animation Man)	*/
/************************************************/

int	EXAnimStart();
int	EXAnimEnd();
int	EXAnimTest();

/************************************************/
/*	L[{[h} (Keyboard Man)		*/
/************************************************/

char	*KBMapGet();
int	KBShiftGet();
long	KBShiftSet();
int	KBSimulate();
int	KBScan();
int	KBGet();
int	KBEmpty();
KbRec	*KBInit();
int	KBTini();
KbRec	*KBCurKbrGet();
int	KBOldOnGet();
long	KBOldOnSet();
int	KbFlagGet();
int	KbFlagSet();

/************************************************/
/*	L[} (Key Man)			*/
/************************************************/

void	KMEmpty();
int	KMPost();
pointer	KMAscJobSet();
int	KMSimulate();
void	KMTask();
KmRec	*KMInit();
int	KMTini();
KmRec	*KMCurKmrGet();

/************************************************/
/*	Cxg} (Event Man)		*/
/************************************************/

void	EMInit();
void	EMTini();
int	EMSet();
int	EMGet();
int	EMScan();
int	EMMSLoc();
int	EMLBttn();
int	EMRBttn();
int	EMLStill();
int	EMRStill();
int	EMLWait();
int	EMRWait();
void	EMKMapGet();
ULONG	EMSysTime();
ULONG	EMDClickGet();
ULONG	EMBlinkGet();
int	EMClean();
void	EMMaskSet();
void	EMDClickSet();
void	EMBlinkSet();
int	EMEnCross();
int	EMDeCross();

/************************************************/
/*	\[X} (Resource Man)		*/
/************************************************/

int	RMInit();
int	RMTini();
handle	RMResNew();
handle	RMRscAdd();
int	RMRscRemove();
int	RMTypeRemove();
int	RMResDispose();
handle	RMResOpen();
handle	RMRscGet();
int	RMResClose();
int	RMResRemove();
handle	RMCurResSet();
int	RMRscRelease();
int	RMRscDetach();
int	RMMaxIDGet();
int	RMResSave();
int	RMHdlToRsc();
handle	RMCurResGet();
handle	RMLastResGet();
int	RMResLoad();
handle	ResLinkGet();
int	ResTypeList();
int	ResIDList();

/************************************************/
/*	Ot} (Graph Man)			*/
/************************************************/

int	GMOpenGraph();
int	GMCloseGraph();
int	GMInitGraph();
int	GMSetGraph();
graph	*GMGetGraph();
int	GMCopyGraph();
void	GMMoveGraph();
void	GMSlideGraph();
int	GMSetClip();
int	GMGetClip();
int	GMClipRect();
int	GMSetHome();
int	GMSetGraphSize();
int	GMSetBitmap();
int	GMLocalToGlobal();
int	GMGlobalToLocal();
void	GMInitPen();
int	GMPenShow();
int	GMPenHide();
int	GMPenSize();
int	GMPenMode();
UWORD	*GMPenPat();
UWORD	*GMExPat();
int	GMForeColor();
int	GMBackColor();
int	GMAPage();
int	GMGetLoc();
void	GMGetPen();
void	GMSetPen();
void	GMInitialize();
void	GMNullRect();
int	GMSizeRect();
int	GMAndRects();
int	GMMoveRect();
int	GMSlideRect();
int	GMInsetRect();
int	GMAndRect();
int	GMOrRect();
int	GMPtInRect();
int	GMEqualRect();
int	GMEmptyRect();
int	GMAdjustRect();
region	**GMNewRgn();
int	GMDisposeRgn();
int	GMOpenRgn();
int	GMCloseRgn();
int	GMNullRgn();
int	GMRectRgn();
int	GMCopyRgn();
int	GMMoveRgn();
int	GMSlideRgn();
int	GMInsetRgn();
int	GMAndRgn();
int	GMOrRgn();
int	GMDiffRgn();
int	GMXorRgn();
int	GMPtInRgn();
int	GMRectInRgn();
int	GMEqualRgn();
int	GMEmptyRgn();
int	GMImgToRgn();
int	GMInitBitmap();
void	GMMove();
void	GMMoveRel();
int	GMLine();
int	GMLineRel();
int	GMFrameRect();
int	GMFillRect();
int	GMFrameOval();
int	GMFillOval();
int	GMFrameRRect();
int	GMFillRRect();
int	GMFrameArc();
int	GMFillArc();
int	GMFrameRgn();
int	GMFillRgn();
int	GMFramePoly();
int	GMFillPoly();
int	GMScroll();
int	GMCopy();
int	GMCopyMask();
int	GMPlotImg();
int	GMPutRImg();
int	GMDupHImg();
int	GMDupVImg();
int	GMDupHRImg();
int	GMDupVRImg();
int	GMFontKind();
int	GMFontFace();
int	GMFontMode();
int	GMFontSize();
int	GMDrawChar();
int	GMDrawStrL();
int	GMDrawStr();
int	GMDrawStrZ();
int	GMCharWidth();
int	GMStrLWidth();
int	GMStrWidth();
int	GMStrLength();
int	GMFontInfo();
int	GMOpenScript();
int	GMCloseScript();
int	GMDisposeScript();
int	GMDrawScript();
int	GMGetScript();
int	GMOpenPoly();
int	GMClosePoly();
int	GMDisposePoly();
int	GMShadowStrZ();
int	GMShadowRect();
int	GMInvertRect();
int	GMInvertBits();
int	GMMapPt();
void	GMMapRect();
void	GMMapPoly();
void	GMMapRgn();
int	GMScalePt();
void	GMInitPalet();
void	GMDrawG16();
int	GMGetPixel();
int	GMCalcMask();
int	GMCalcFrame();
void	*SXLongMul();
int	SXFixRound();
long	SXFixMul();
long	SXFixDiv();
fontTbl	*GMGetFontTable();
int	GMCopyStdProc();
int	GMStrZWidth();
int	GMTransImg();
int	GMFillRImg();
int	GMFillImg();
int	GMSlidedRgn();
int	GMPaintRgn();
int	GMSetRgnLine();
int	GMGetRgnLine();
int	GMInitGraphMode();
int	GMCurFont();
int	GMGetScrnSize();
graph	*GMExgGraph();
bitmap	*GMExgBitmap();
bitmap	*GMGetBitmap();
int	GMCalcBitmap();
int	GMCalcScrnSize();
bits	**GMNewBits();
int	GMDisposeBits();
int	GMLockBits();
int	GMUnlockBits();
int	GMItalicRect();
int	GMItalicRgn();
int	GMFreeBits();
int	GMCalcGraph();
int	GMPackImage();
int	GMUnpackImage();
int	GMAdjustPt();
int	GMPutImg();
int	GMCenterRect();
int	GMScrewRect();
int	GMAndRectRgn();
int	GMOrRectRgn();
int	GMDiffRectRgn();
int	GMXorRectRgn();
int	GMCharKind();
int	GMDiffRgnRect();
hProc	*GMGetHProcTbl();
gProc	*GMGetStdProcTbl();
fontProc *GMGetFontProcTbl();
rgnProc	*GMGetRgnProcTbl();
int	GMDrawGsOne();
int	GMPtInImg();
int	GMFrameNPoly();
int	GMFillNPoly();
region	**GMNPolyFrRgn();
region	**GMNPolyFlRgn();
int	GMPtInNPoly();
int	GMPtOnNPoly();
int	GMRecordScript();
int	GMNLineRel();
int	GMNLine();
int	GMRecordPoly();
int	GMSetFlattness();
int	GMGetFlattness();
long	GMDrawBezier();
long	GMDrawBSpline();
long	GMSplitBezier();
long	GMSplitBSpline();
long	GMPtOnBezier();
long	GMPtOnBSpline();
int	(*GMSetGSDraw())();
int	(*GMGetGSDraw())();
int	(*GMSetGSGet())();
int	(*GMGetGSGet())();

/************************************************/
/*	EBhE} (Window Man)		*/
/************************************************/

int	WMInit();
window	*WMOpen();
window	*WMRefer();
int	WMClose();
int	WMDispose();
int	WMFind();
int	WMSelect();
int	WMSelect2();
int	WMCarry();
int	WMShine();
int	WMMove();
int	WMSize();
int	WMGrow();
int	WMDrag();
int	WMZoom();
int	WMShow();
int	WMHide();
int	WMShowHide();
int	WMCheckBox();
int	WMCheckCBox();
int	WMDrawGBox();
int	WMUpdate();
int	WMUpdtOver();
window	*WMActive();
int	WMAddRect();
int	WMAddRgn();
int	WMSubRect();
int	WMSubRgn();
int	WMGScriptSet();
int	WMTitleSet();
int	WMTitleGet();
int	WMTIDSet();
int	WMTIDGet();
long	WMGetDTGS();
int	WMDragRgn();
int	WMOptionGet();
int	WMOptionSet();
int	WMPtInGBox();

/************************************************/
/*	TuEBhE} (Sub Window Man)	*/
/************************************************/

subWindow *WSOpen();
int	WSClose();
int	WSDispose();
int	WSEnlist();
int	WSDelist();

/************************************************/
/*	j[} (Menu Man)			*/
/************************************************/

void	MNInit();
menu	**MNRefer();
int	MNSelect();
menu	**MNConvert();
int	MNSelect2();

/************************************************/
/*	Rg[} (Control Man)		*/
/************************************************/

control	**CMOpen();
int	CMDispose();
int	CMKill();
int	CMHide();
int	CMShow();
int	CMDraw();
int	CMDrawOne();
int	CMValueSet();
int	CMValueGet();
int	CMMinSet();
int	CMMinGet();
int	CMMaxSet();
int	CMMaxGet();
int	CMMove();
int	CMSize();
int	CMShine();
int	CMFind();
int	CMCheck();
control	**CMRefer();
int	CMTitleGet();
int	CMDraws();
int	CMTitleSet();
UWORD	CMOptionGet();
void	CMOptionSet();
UINT	CMUserGet();
void	CMUserSet();
long	CMDefDataGet();
void	CMDefDataSet();

/************************************************/
/*	_CAO} (Dialog Man)		*/
/************************************************/

void	DMInit();
void	DMFontSet();
dialog	*DMOpen();
dialog	*DMRefer();
int	DMClose();
int	DMDispose();
int	DMControl();
int	DMDraw();
int	DIGet();
int	DISet();
int	DITGet();
int	DITSet();
int	DITSelect();
int	DIUpdate();
int	DMBeep();
int	DIHide();
int	DIShow();
int	DMError();
int	DMWaitOpen();
int	DMWaitClose();
int	DMWaitWhile();

/************************************************/
/*	eLXg} (Text Man)			*/
/************************************************/

int	TMInit();
int	TMSetRect();
int	TMChengeText();
int	TMIdle();
int	TMCaret();
int	TMDispose();
int	TMUpDate();
int	TMSetText();
int	TMGetText();
int	TMSetSelect();
int	TMKey();
int	TMStr();
int	TMCalText();
int	TMPinScroll();
int	TMClick();
int	TMEvent();
int	TMCut();
int	TMCopy();
int	TMPaste();
int	TMDelete();
int	TMInsert();
int	TMFromScrap();
int	TMToScrap();
int	TMScrapHandle();
int	TMGetScrapLen();
int	TMTextBox2();
int	TMCacheON();
int	TMCacheOFF();
int	TMCacheFlush();
int	TMShow();
int	TMHide();
int	TMSelShow();
int	TMSelHide();
int	TMSearchStrF();
int	TMSearchStrB();
int	TMTextInWidth2();
int	TMTextWidth2();
int	TMDrawText2();
int	TMUpDate2();
int	TMUpDate3();
int	TMCalCOLine();
int	TMCalLine();
int	TMLeftSel();
int	TMRightSel();
int	TMPointSel();
int	TMOffsetSel();
int	TMPointToLine();
int	TMCalSelPoint();
int	TMSetView();
int	TMScroll();
int	TMPointScroll();
int	TMStr2();
int	TMKeyToAsk();
int	TMNextCode();
int	TMSetTextH();
int	TMOpen();
int	TMNew2();
int	TMNextCodeIn();
int	TMSelReverse();
int	TMTini();
int	TMSetSelCal();
int	TMActivate2();
int	TMDeactivate2();
int	TMCheckSel();
int	TMCalPoint2();
int	TMISZen();
int	TMSetDestOffset();
int	TMGetDestOffset();
int	TMGetSelect();
int	TMEventW();
int	TMUpDateExist();
/************************************************/
/*	^XN} (Task Man)			*/
/************************************************/

void	*TSInitTsk();
int	TSInitCrtM();
int	TSTiniCrtM();
int	TSFock();
int	TSFockB();
int	TSFockSItem();
int	TSFockIcon();
int	TSEventAvail();
void	TSGetEvent();
int	TSPostEventTsk();
int	TSGetTdb();
int	TSSetTdb();
int	TSGetWindowPos();
int	TSCommunicate();
int	TSGetID();
int	TSMakeEvent();
int	TSGetStartMode();
void	TSSetStartMode();
int	TSOpen();
int	TSClose();
int	TSRmDirH();
int	TSCopyH();
int	TSMkDirH();
int	TSMoveH();
int	TSCreate();
int	TSDeleteH();
int	TSTrash();
int	TSFiles();
int	TSNFiles();
int	TSCopyP();
int	TSDeleteP();
int	TSRmDirP();
int	TSMkDirP();
int	TSMoveP();
int	TSChMod();
long	TSWhatFile();
int	TSDeleteVoname();
int	TSCreateVoname();
int	TSSearchFileND();
int	TSGetOpen();
int	TSZeroDrag();
int	TSPutDrag();
int	TSGetDrag();
int	TSBeginDrag();
int	TSEndDrag();
int	TSHideDrag();
int	TSShowDrag();
int	TSZeroScrap();
int	TSPutScrap();
int	TSGetScrap();
int	TSSearchTrashpath();
int	TSSearchTrashfile();
int	TSEmptyTrash();
int	TSSearchdpb();
int	TSDrvctrl();
int	TSDrvctrl2();
int	SXCallWindM();
int	SXCallCtrlM();
int	SXInvalScBar();
int	SXValidScBar();
int	TSISRecToStr();
int	TSCreateISFile();
int	SXFileConnPath();
int	SXFileInPath();
int	SXFnamecmp();
int	SXSearchFname();
void	SXStoLower();
void	SXStoUpper();
void	SXStoUpper2();
int	SXVer();
int	TSTakeParam();
int	TSFindTskn();
int	TSDriveCheckAll();
int	TSDriveCheck();
int	TSISRecToExec();
int	TSGetDtopMode();
void	TSSetDtopMode();
int	TSSearchOpen();
int	TSFindOwn();
int	TSCommunicateS();
int	TSSearchFile2();
int	TSSearchFile();
int	SXStrCmp();
int	TSCreateISBadge();
int	TSGetCMDS();
int	TSFockCM();
int	TSTiniTsk();
int	TSPostEventTsk2();
int	TSAnswer();
int	TSSendMes();
int	TSGetMes();
void	*TSInitTsk2();
int	SXCallWindM2();
int	TSBeginDrag2();
int	SXGetVector();
int	SXSetVector();
int	TSCellToStr();
void	SXLockFSX();
void	SXUnlockFSX();
int	TSFockMode();
int	TSSetGraphMode();
int	TSGetGraphMode();
int	SXGetDispRect();
int	SXSRAMVer();
int	SXSRAMReset();
int	SXSRAMCheck();
int	TSSetAbort();
void	TSAdjustRect();
int	TSPostEventTsk3();
int	TSAnswer2();
int	TSErrDialogN();
int	TSSearchFile3();
handle	TSResNew();
handle	TSResOpen();
int	TSResClose();
int	TSResSave();
int	TSResRemove();
int	TSResLoad();
int	TSResDispose();
handle	TSCurResGet();
handle	TSLastResGet();
handle	TSCurResSet();
handle	TSRscAdd();
handle	TSRscGet();
int	TSRscRemove();
int	TSTypeRemove();
int	TSRscRelease();
int	TSRscDetach();
int	TSMaxIDGet();
handle	TSHdlToRsc();
handle	TSResLinkGet();
int	TSResRouteLink();
int	TSResRouteGet();
handle	TSRscGet2();
handle	TSRscGet3();
int	TSResRouteUnLink();
int	TSMaxIDGet2();
handle	TSFind();
handle	TSCurResGet2();
int	TSMaxIDGet3();
int	TSResFileGet();
short	TSResRouteFind();
int	TSResTypeList();
int	TSResIDList();

/************************************************/
/*	vg} (Print Man)		*/
/************************************************/

int	PMInit();
int	PMTini();
int	PMOpen();
int	PMClose();
int	PMSetDefault();
int	PMValidate();
int	PMImageDialog();
int	PMStrDialog();
int	PMEnvCopy();
int	PMJobCopy();
graph	*PMOpenImage();
int	PMRecordPage();
int	PMPrintPage();
int	PMCancelPage();
int	PMAction();
int	PMCloseImage();
int	PMDrawString();
int	PMVer();
int	PMDrvrVer();
int	PMDrvrCtrl();
int	PMDrvrID();
handle	PMDrvrHdl();
int	PMMaxRect();
int	PMSaveEnv();
int	PMReady();
int	PMProcPrint();
int	PMDrvrInfo();

/************************************************/
/*	tHg}(Font Man)			*/
/************************************************/

long	FMInit();
long	FMTini();
FontListPtr FMGetFontList();
long	FMSetCacheSize();
long	FMGetCacheSize();
long	FMSetSpaceWidth();
long	FMGetSpaceWidth();
long	FMSetTracking();
long	FMGetTracking();
long	FMGetKerningWidth();
short	FMFontMenuSelect();
npoly	FMGetFontPolyData();

#endif

#endif
